Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.transport.socket.nio
Interface DatagramSessionConfig

All Superinterfaces:
  IoSessionConfig

    public interface DatagramSessionConfig

extends IoSessionConfig

An `IoSessionConfig` for datagram transport type.

Version:
  $Rev: 555855 $, $Date: 2007-07-13 12:19:00 +0900 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Method Summary
`int` | `getReceiveBufferSize()`
`int` | `getSendBufferSize()`
`int` | `getTrafficClass()`
`boolean` | `isBroadcast()`
`boolean` | `isReuseAddress()`
`void` | `setBroadcast(boolean broadcast)`
`void` | `setReceiveBufferSize(int receiveBufferSize)`
`void` | `setReuseAddress(boolean reuseAddress)`
`void` | `setSendBufferSize(int sendBufferSize)`
`void` | `setTrafficClass(int trafficClass)`

Methods inherited from interface org.apache.mina.common.IoSessionConfig
`clone`

Method Detail

### isBroadcast

    boolean isBroadcast()

  See Also:
    `DatagramSocket.getBroadcast()`

### setBroadcast

    void setBroadcast(boolean broadcast)

  See Also:
    `DatagramSocket.setBroadcast(boolean)`

### isReuseAddress

    boolean isReuseAddress()

  See Also:
    `DatagramSocket.getReuseAddress()`

### setReuseAddress

    void setReuseAddress(boolean reuseAddress)

  See Also:
    `DatagramSocket.setReuseAddress(boolean)`

### getReceiveBufferSize

    int getReceiveBufferSize()

  See Also:
    `DatagramSocket.getReceiveBufferSize()`

### setReceiveBufferSize

    void setReceiveBufferSize(int receiveBufferSize)

  See Also:
    `DatagramSocket.setReceiveBufferSize(int)`

### getSendBufferSize

    int getSendBufferSize()

  See Also:
    `DatagramSocket.getSendBufferSize()`

### setSendBufferSize

    void setSendBufferSize(int sendBufferSize)

  See Also:
    `DatagramSocket.setSendBufferSize(int)`

### getTrafficClass

    int getTrafficClass()

  See Also:
    `DatagramSocket.getTrafficClass()`

### setTrafficClass

    void setTrafficClass(int trafficClass)

  See Also:
    `DatagramSocket.setTrafficClass(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.